//------------------------------------------------------------------------------
//工具生成，请勿修改。
//配置文件名称：game.xlsx。
//------------------------------------------------------------------------------
export default class GameCFG
{
	public id:number;//id
	public value:string;//字段值
	public static dict:any = {};
	public static vec:Array<GameCFG> = [];
	public static initCfg(str:string):void
	{
		var i:number=0;
		var arr:Array<string> = str.split("\n");
		var i:number=0;
		for(i = 0; i < arr.length; i++)
		{
			var singleStr:string = arr[i];
			var singleArr:Array<string> = singleStr.split("&");
			if(GameCFG.dict[singleArr[0]])continue;
			var item:GameCFG= new GameCFG();
			item.id= Number(singleArr[0]);
			item.value=singleArr[1];
			GameCFG.dict[item.id]=item;
			GameCFG.vec.push(item);
		}
	}

}